/*
    File:       serialdac.h
    Version:    0.1.0
    Date:       Apr 7, 2015
	License:	GPL v2
    
	C header file for serial dac using a 74HCT164 serial in, parallel
	out shift register and a 8Bit R/2R network
	 
    ****************************************************************************
    Copyright (C) 2015 Radu Motisan  <radu.motisan@gmail.com>
	
	http://www.pocketmagic.net

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    ****************************************************************************
 */

#include <avr/io.h>
#include "../timeout.h"
#include <util/delay.h>



class serialdac {
	
	private:
	volatile uint8_t* Port2DDR(volatile uint8_t *port) {
				return port - 1;
			}
	volatile uint8_t	*m_pportRsData, m_dqrsdata, 
						*m_pportCLK, m_dqclk;
	
	public:
	void init(volatile uint8_t  *portData, uint8_t  dqData, volatile uint8_t  *portCLK, uint8_t dqCLK);
	void sendbyte(uint8_t b);
};



